[DEFAULT]

# Path where log will be written
log_file = /tmp/conductor.log

# Log verbosity
debug=True
verbose=True

# Directory where conductor's data directory located. 
# "data" must be subdirectory to this.
data_dir = /etc/murano-conductor

# Maximum number of environments that can be processed simultaneously
max_environments = 20

[keystone]
# URL of OpenStack KeyStone service REST API.
# Typically only hostname (or IP) needs to be changed
auth_url = http://localhost:5000/v2.0

# Keystone SSL parameters
# Optional CA cert file to use in SSL connections
ca_file =
# Optional PEM-formatted certificate chain file
cert_file =
# Optional PEM-formatted file that contains the private key
key_file =
# If set then the server's certificate will not be verified
insecure = False

[heat]
# Heat SSL parameters
# Optional CA cert file to use in SSL connections
ca_file =
# Optional PEM-formatted certificate chain file
cert_file =
# Optional PEM-formatted file that contains the private key
key_file =
# If set then the server's certificate will not be verified
insecure = False
# Valid endpoint types: publicURL (default), internalURL, adminURL
endpoint_type = publicURL

[rabbitmq]
# Connection parameters to RabbitMQ service

# Hostname or IP address where RabbitMQ is located. 
# !!! Change localhost to your real IP or hostname as this address must be reachable from VMs  !!!
host = localhost

# RabbitMQ port (5672 is a default)
port = 5672

# Use SSL for RabbitMQ connections (True or False)
ssl = False

# Path to SSL CA certificate or empty to allow self signed server certificate
ca_certs =

# RabbitMQ credentials. Fresh RabbitMQ installation has "guest" account with "guest" password.
# It is recommended to create dedicated user account for Murano using RabbitMQ web console or command line utility
login = guest
password = guest

# RabbitMQ virtual host (vhost). Fresh RabbitMQ installation has "/" vhost preconfigured.
# It is recommended to create dedicated vhost for Murano using RabbitMQ web console or command line utility
virtual_host = /